Package: org.gradle.api.tasks

## [Java] Class GroovyRuntime

- org.gradle.api.tasks.GroovyRuntime

- Provides information related to the Groovy runtime(s) used in a project. Added by the GroovyBasePlugin as a project extension named `groovyRuntime`.

  Example usage:

           apply plugin: "groovy"

           repositories {
               mavenCentral()
           }

           dependencies {
               compile "org.codehaus.groovy:groovy-all:2.1.2"
           }

           def groovyClasspath = groovyRuntime.inferGroovyClasspath(configurations.compile)
           // The returned class path can be used to configure the 'groovyClasspath' property of tasks
           // such as 'GroovyCompile' or 'Groovydoc', or to execute these and other Groovy tools directly.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyRuntime (Project project)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `FileCollection` | `inferGroovyClasspath(Iterable<File> classpath)` Searches the specified class path for Groovy Jars (`groovy(-indy)`, `groovy-all(-indy)`) and returns a corresponding class path for executing Groovy tools such as the Groovy compiler and Groovydoc tool.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public GroovyRuntime(Project project)

  - ### Method Detail

    - #### public FileCollection inferGroovyClasspath(Iterable<File> classpath)

      Searches the specified class path for Groovy Jars (`groovy(-indy)`, `groovy-all(-indy)`) and returns a corresponding class path for executing Groovy tools such as the Groovy compiler and Groovydoc tool. The tool versions will match those of the Groovy Jars found. If no Groovy Jars are found on the specified class path, a class path with the contents of the `groovy` configuration will be returned.

      The returned class path may be empty, or may fail to resolve when asked for its contents.

      Parameters:
        `classpath` - a class path containing Groovy Jars
      Returns:
        a corresponding class path for executing Groovy tools such as the Groovy compiler and Groovydoc tool